<?php

namespace AppBundle\Entity;

/**
 * Products
 */
class Products
{
    /**
     * @var integer
     */
    private $idProducts;

    /**
     * @var string
     */
    private $nombre;

    /**
     * @var integer
     */
    private $stock;

    /**
     * @var string
     */
    private $urlAmigable;

    /**
     * @var string
     */
    private $photo;

    /**
     * @var boolean
     */
    private $deleted;

    /**
     * @var \AppBundle\Entity\Category
     */
    private $idCategory;


    /**
     * Get idProducts
     *
     * @return integer
     */
    public function getIdProducts()
    {
        return $this->idProducts;
    }

    /**
     * Set nombre
     *
     * @param string $nombre
     *
     * @return Products
     */
    public function setNombre($nombre)
    {
        $this->nombre = $nombre;

        return $this;
    }

    /**
     * Get nombre
     *
     * @return string
     */
    public function getNombre()
    {
        return $this->nombre;
    }

    /**
     * Set stock
     *
     * @param integer $stock
     *
     * @return Products
     */
    public function setStock($stock)
    {
        $this->stock = $stock;

        return $this;
    }

    /**
     * Get stock
     *
     * @return integer
     */
    public function getStock()
    {
        return $this->stock;
    }

    /**
     * Set urlAmigable
     *
     * @param string $urlAmigable
     *
     * @return Products
     */
    public function setUrlAmigable($urlAmigable)
    {
        $this->urlAmigable = $urlAmigable;

        return $this;
    }

    /**
     * Get urlAmigable
     *
     * @return string
     */
    public function getUrlAmigable()
    {
        return $this->urlAmigable;
    }

    /**
     * Set photo
     *
     * @param string $photo
     *
     * @return Products
     */
    public function setPhoto($photo)
    {
        $this->photo = $photo;

        return $this;
    }

    /**
     * Get photo
     *
     * @return string
     */
    public function getPhoto()
    {
        return $this->photo;
    }

    /**
     * Set deleted
     *
     * @param boolean $deleted
     *
     * @return Products
     */
    public function setDeleted($deleted)
    {
        $this->deleted = $deleted;

        return $this;
    }

    /**
     * Get deleted
     *
     * @return boolean
     */
    public function getDeleted()
    {
        return $this->deleted;
    }

    /**
     * Set idCategory
     *
     * @param \AppBundle\Entity\Category $idCategory
     *
     * @return Products
     */
    public function setIdCategory(\AppBundle\Entity\Category $idCategory = null)
    {
        $this->idCategory = $idCategory;

        return $this;
    }

    /**
     * Get idCategory
     *
     * @return \AppBundle\Entity\Category
     */
    public function getIdCategory()
    {
        return $this->idCategory;
    }
}

